Next: Subroutine mld_precdescr Up: User Interface Previous: Subroutine mld_precaply Contents

##
Subroutine mld_precfree

`mld_precfree(p,info)`

This routine deallocates the preconditioner data structure.

Arguments

`p` | `type(mld_`x `prec_type), intent(inout)`.
| The preconditioner data structure. Note that x must be chosen according to the real/complex, single/double precision version of MLD2P4 under use.
`info` | `integer, intent(out)`.
| Error code. If no error, 0 is returned. See Section 7 for details.